package dk.itu.mario.level.grammar;

public class Variable implements Comparable<Variable> {
	private boolean terminal;
	private String value;
	
	public Variable(String value) {
		this.value = value;
		this.terminal = (value.toLowerCase().equals(value));
	}
	
	public boolean isTerminal() {
		return terminal;
	}
	
	@Override
	public String toString() {
		return value;
	}

	@Override
	public int compareTo(Variable o) {
		return this.value.compareTo(o.value);
	}
	
	
}
